Loading...
Searching...
No Matches
state.h File Reference

URL parser state machine states. More...

`#include "ada/common_defs.h"`
`#include <string>`

Go to the source code of this file.

## Namespaces

namespace | ada

## Enumerations

enum class

ada::state {
ada::AUTHORITY , ada::SCHEME_START , ada::SCHEME , ada::HOST ,
ada::NO_SCHEME , ada::FRAGMENT , ada::RELATIVE_SCHEME , ada::RELATIVE_SLASH ,
ada::FILE , ada::FILE_HOST , ada::FILE_SLASH , ada::PATH_OR_AUTHORITY ,
ada::SPECIAL_AUTHORITY_IGNORE_SLASHES , ada::SPECIAL_AUTHORITY_SLASHES , ada::SPECIAL_RELATIVE_OR_AUTHORITY , ada::QUERY ,
ada::PATH , ada::PATH_START , ada::OPAQUE_PATH , ada::PORT
}

| States in the URL parsing state machine. More...

## Functions

ada_warn_unused std::string | ada::to_string (ada::state s)

## Detailed Description

URL parser state machine states.

Defines the states used by the URL parsing state machine as specified in the WHATWG URL Standard.

See also
  https://url.spec.whatwg.org/#url-parsing

Definition in file state.h.